Update marketplace listing
curl --request POST \
--url https://levers9.uselevers.com/marketplace/listings/{listingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": true,
"public": true,
"status": "<string>",
"region": "<string>",
"pricePerGpuHourCents": 123
}
'import requests
url = "https://levers9.uselevers.com/marketplace/listings/{listingId}"
payload = {
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": True,
"public": True,
"status": "<string>",
"region": "<string>",
"pricePerGpuHourCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
gpu: '<string>',
gpuCount: 123,
source: '<string>',
preemptible: true,
public: true,
status: '<string>',
region: '<string>',
pricePerGpuHourCents: 123
})
};
fetch('https://levers9.uselevers.com/marketplace/listings/{listingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/marketplace/listings/{listingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'gpu' => '<string>',
'gpuCount' => 123,
'source' => '<string>',
'preemptible' => true,
'public' => true,
'status' => '<string>',
'region' => '<string>',
'pricePerGpuHourCents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/marketplace/listings/{listingId}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/marketplace/listings/{listingId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/marketplace/listings/{listingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"listing": {
"id": "<string>",
"sellerWorkspaceId": "<string>",
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": true,
"public": true,
"status": "<string>",
"poolName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"region": "<string>",
"runtime": "<string>",
"pricePerGpuHourCents": 123
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ControlPlaneService
Update marketplace listing
POST
/
marketplace
/
listings
/
{listingId}
Update marketplace listing
curl --request POST \
--url https://levers9.uselevers.com/marketplace/listings/{listingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": true,
"public": true,
"status": "<string>",
"region": "<string>",
"pricePerGpuHourCents": 123
}
'import requests
url = "https://levers9.uselevers.com/marketplace/listings/{listingId}"
payload = {
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": True,
"public": True,
"status": "<string>",
"region": "<string>",
"pricePerGpuHourCents": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
gpu: '<string>',
gpuCount: 123,
source: '<string>',
preemptible: true,
public: true,
status: '<string>',
region: '<string>',
pricePerGpuHourCents: 123
})
};
fetch('https://levers9.uselevers.com/marketplace/listings/{listingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/marketplace/listings/{listingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'gpu' => '<string>',
'gpuCount' => 123,
'source' => '<string>',
'preemptible' => true,
'public' => true,
'status' => '<string>',
'region' => '<string>',
'pricePerGpuHourCents' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/marketplace/listings/{listingId}"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://levers9.uselevers.com/marketplace/listings/{listingId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/marketplace/listings/{listingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"gpu\": \"<string>\",\n \"gpuCount\": 123,\n \"source\": \"<string>\",\n \"preemptible\": true,\n \"public\": true,\n \"status\": \"<string>\",\n \"region\": \"<string>\",\n \"pricePerGpuHourCents\": 123\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"listing": {
"id": "<string>",
"sellerWorkspaceId": "<string>",
"displayName": "<string>",
"gpu": "<string>",
"gpuCount": 123,
"source": "<string>",
"preemptible": true,
"public": true,
"status": "<string>",
"poolName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"region": "<string>",
"runtime": "<string>",
"pricePerGpuHourCents": 123
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json

